Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066447 - rpm distributor metadata build failure
Summary: rpm distributor metadata build failure
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: rpm-support
Version: Master
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 2.4.0
Assignee: Barnaby Court
QA Contact: pulp-qe-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-18 12:42 UTC by mkovacik
Modified: 2014-08-09 06:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-09 06:55:18 UTC


Attachments (Terms of Use)

Description mkovacik 2014-02-18 12:42:48 UTC
Description of problem:
rpm distributor fails to build metadata as a result, rpm consumer package install doesn't work (breaks CI):

  Traceback (most recent call last):
    File "/usr/lib/python2.7/site-packages/pulp_rpm/plugins/distributors/yum/publish.py", line 161, in publish
      step.process()
    File "/usr/lib/python2.7/site-packages/pulp_rpm/plugins/distributors/yum/publish.py", line 339, in process
      self.finalize_metadata()
    File "/usr/lib/python2.7/site-packages/pulp_rpm/plugins/distributors/yum/publish.py", line 688, in finalize_metadata
      self.context.finalize() 
  AttributeError: 'PublishDrpmStep' object has no attribute 'context'

Version-Release number of selected component (if applicable):
Master; CI

How reproducible:
Always

Steps to Reproduce:
1. create, sync & publish a rpm (zoo) repo
2. register & bind a consumer to the repo (localhost, zebra)
3. pulp-admin -u admin -p admin rpm package install run -n zebra --consumer-id localhost

Actual results:
failure: repodata/repomd.xml from zoo: [Errno 256] No more mirrors to
try.
https://dhcp131-12.brq.redhat.com/pulp/repos/repos/pulp/pulp/demo_repos/zoo
/repodata/repomd.xml: [Errno 14] HTTPS Error 404 - Not Found

Expected results:
package installation works

Additional info:
# error from /var/log/pulp.log
{'reboot': {'scheduled': False, 'details': {}}, 'details': {'yum_distributor': [], 'rpm': {'details': [{'vendor': 'Fedora Project', 'name': 'perl-Carp', 'epoch': 0, 'version': '1.26', 'release': '243.fc19', 'arch': 'noarch'}, {'vendor': 
'Fedora Project', 'name': 'boost-program-options', 'epoch': 0, 'version': '1.53.0', 'release': '14.fc19', 'arch': 'x86_64'}, {'vendor': 'Fedora Project', 'name': 'basesystem', 'epoch': 0, 'version': '10.0', 'release': '8.fc19', 'arch': '
noarch'}, {'vendor': 'Fedora Project', 'name': 'perl-PathTools', 'epoch': 0, 'version': '3.40', 'release': '3.fc19', 'arch': 'x86_64'}, {'vendor': 'Fedora Project', 'name': 'libibverbs', 'epoch': 0, 'version': '1.1.7', 'release': '3.fc19
', 'arch': 'x86_64'}, {'vendor': 'Fedora Project', 'name': 'tzdata', 'epoch': 0, 'version': '2013c', 'release': '1.fc19', 'arch': 'noarch'}, {'vendor': 'Fedora Project', 'name': 'perl', 'epoch': 4, 'version': '5.16.3', 'release': '265.fc
19', 'arch': 'x86_64'}, {'vendor': 'Fedora Project', 'name': 'python-simplejson', 'epoch': 0, 'version': '3.2.0', 'release': '1.fc19', 'arch': 'x86_64'}, {'vendor': 'Fedora Project', 'name': 'libstdc++', 'epoch': 0, 'version': '4.8.1', '
release': '1.fc19', 'arch': 'x86_64'}, {'vendor': 'Fedora Project', 'name': 'perl-Git', 'epoch': 0, 'version': '1.8.3.1', 'release': '1.fc19', 'arch': 'noarch'}, {'vendor': 'Fedora Project', 'name': 'xerces-c', 'epoch': 0, 'version': '3.
1.1', 'release': '4.fc19', 'arch': 'x86_64'}, {'vendor': 'Fedora Project', 'name': 'libattr', 'epoch': 0, 'version': '2.4.46', 'release': '10.fc19', 'arch': 'x86_64'}, {'vendor': 'Fedora Project', 'name': 'gpm-libs', 'epoch': 0, 'version
': '1.20.6', 'release': '33.fc19', 'arch': 'x86_64'}, {'vendor': None, 'name': 'm2crypto', 'epoch': 0, 'version': '0.21.1.pulp', 'release': '8.fc19', 'arch': 'x86_64'}, {'vendor': 'Fedora Project', 'name': 'zlib', 'epoch': 0, 'version': 
'1.2.7', 'release': '10.fc19', 'arch': 'x86_64'}, {'vendor': 'Fedora Project', 'name': 'qpid-cpp-client', 'epoch': 0, 'version': '0.24', 'release': '3.fc19.1', 'arch': 'x86_64'}, {'vendor': 'Fedora Project', 'name': 'python-rhsm', 'epoch
': 0, 'version': '1.10.1', 'release': '1.fc19', 'arch': 'x86_64'}, {'vendor': 'Fedora Project', 'name': 'chkconfig', 'epoch': 0, 'version': '1.3.60', 'release': '3.fc19', 'arch': 'x86_64'}, {'vendor': 'Fedora Project', 'name': 'python-qpid', 'epoch': 0, 'version': '0.24', 'release': '1.fc19', 'arch': 'noarch'}, {'vendor': 'Fedora Project', 'name': 'python-oauth2', 'epoch': 0, 'version': '1.5.211', 'release': '4.fc19', 'arch': 'noarch'}, {'vendor': 'Fedora Project', 'name': 'libdb', 'epoch': 0, 'version': '5.3.21', 'release': '11.fc19', 'arch': 'x86_64'}, {'vendor': 'Fedora Project', 'name': 'qpid-cpp-server', 'epoch': 0, 'version': '0.24', 'release': '3.fc19.1', 'arch': 'x86_64'}, {'vendor': 'Fedora Project', 'name': 'boost-timer', 'epoch': 0, 'version': '1.53.0', 'release': '14.fc19', 'arch': 'x86_64'}, {'vendor': 'Fedora Project', 'name': 'libgpg-error', 'epoch': 0, 'version': '1.11', 'release': '1.fc19', 'arch': 'x86_64'}, {'vendor': 'Fedora Project', 'name': 'libxml2-python', 'epoch': 0, 'version': '2.9.1', 'release': '1.fc19', 'arch': 'x86_64'}, {'vendor': 'Fedora Project', 'name': 'readline', 'epoch': 0, 'version': '6.2', 'release': '6.fc19', 'arch': 'x86_64'}, {'vendor': 'Fedora Project', 'name': 'boost-iostreams', 'epoch': 0, 'version': '1.53.0', 'release': '14.fc19', 'arch': 'x86_64'}, {'vendor': 'Fedora Project', 'name': 'lua', 'epoch': 0, 'version': '5.1.4', 'release': '12.fc19', 'arch': 'x86_64'}, {'vendor': 'Fedora Project', 'name': 'boost-test', 'epoch': 0, 'version': '1.53.0', 'release': '14.fc19', 'arch': 'x86_64'}, {'vendor': 'Fedora Project', 'name': 'libffi', 'epoch': 0, 'version': '3.0.13', 'release': '4.fc19', 'arch': 'x86_64'}, {'vendor': 'Fedora Project', 'name': 'boost-context', 'epoch': 0, 'version': '1.53.0', 'release': '14.fc19', 'arch': 'x86_64'}, {'vendor': 'Fedora Project', 'name': 'tcp_wrappers-libs', 'epoch': 0, 'version': '7.6', 'release': '73.fc19', 'arch': 'x86_64'}], 'succeeded': True}}, 'succeeded': True, 'num_changes': 1}
2014-02-18 07:17:03,475 pulp.server.webservices.controllers.repositories:INFO: Itinerary: ['f167de02-1bfd-4732-b255-78e2365c51b1']
2014-02-18 07:27:39,510 pulp.plugins.pulp_rpm.plugins.distributors.yum.publish:ERROR: 'PublishDrpmStep' object has no attribute 'context'
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pulp_rpm/plugins/distributors/yum/publish.py", line 161, in publish
    step.process()
  File "/usr/lib/python2.7/site-packages/pulp_rpm/plugins/distributors/yum/publish.py", line 339, in process
    self.finalize_metadata()
  File "/usr/lib/python2.7/site-packages/pulp_rpm/plugins/distributors/yum/publish.py", line 688, in finalize_metadata
    self.context.finalize()
AttributeError: 'PublishDrpmStep' object has no attribute 'context'
2014-02-18 07:27:39,515 pulp.server.managers.repo.publish:INFO: publish failed for repo [zoo] with distributor ID [yum_distributor]
2014-02-18 07:27:57,122 pulp.plugins.pulp_rpm.plugins.distributors.yum.publish:ERROR: 'PublishDrpmStep' object has no attribute 'context'
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pulp_rpm/plugins/distributors/yum/publish.py", line 161, in publish
    step.process()
  File "/usr/lib/python2.7/site-packages/pulp_rpm/plugins/distributors/yum/publish.py", line 339, in process
    self.finalize_metadata()
  File "/usr/lib/python2.7/site-packages/pulp_rpm/plugins/distributors/yum/publish.py", line 688, in finalize_metadata
    self.context.finalize()
AttributeError: 'PublishDrpmStep' object has no attribute 'context'
2014-02-18 07:27:57,204 pulp.server.managers.repo.publish:INFO: publish failed for repo [zoo] with distributor ID [yum_distributor]
2014-02-18 07:29:09,695 gofer.rmi.async:INFO: 14165b1f-91c7-4745-a9e9-7c4547bc4d6a
2014-02-18 07:29:09,719 gofer.rmi.async:INFO: 14165b1f-91c7-4745-a9e9-7c4547bc4d6a
2014-02-18 07:29:09,719 pulp.server.agent.direct.services:INFO: Task RMI (succeeded)
Succeeded

Comment 1 Jeff Ortel 2014-04-03 13:36:18 UTC
build: 2.4.0-0.7.beta

Comment 2 mkovacik 2014-04-25 14:26:50 UTC
Verified in: pulp-rpm-plugins-2.4.0-0.10.beta.git.0.a9f8dd1.fc20.noarch ; using: https://github.com/RedHatQE/pulp-automation/blob/master/tests/test_13_cli_consumer.py

# screen log
[root@ec2-54-73-150-13 pulp_auto]# nosetests -vs tests/test_13_cli_consumer.py                                                                                                                                                               
test_01_api_registered_consumer (tests.test_13_cli_consumer.CliConsumerTest) ... ok
test_02_bind_distributor (tests.test_13_cli_consumer.CliConsumerTest) ... ok
test_03_assert_yum_repos (tests.test_13_cli_consumer.CliConsumerTest) ... ok
test_04_assert_unit_install (tests.test_13_cli_consumer.CliConsumerTest) ... ok
test_05_assert_unit_uninstall (tests.test_13_cli_consumer.CliConsumerTest) ... ok
test_06_assert_nonexisten_unit_install (tests.test_13_cli_consumer.CliConsumerTest) ... FAIL
test_07_assert_nonexisten_unit_uninstall (tests.test_13_cli_consumer.CliConsumerTest) ... FAIL
test_08_unbind_repos (tests.test_13_cli_consumer.CliConsumerTest) ... ok

Comment 3 Randy Barlow 2014-08-09 06:55:18 UTC
This has been fixed in Pulp 2.4.0-1.


Note You need to log in before you can comment on or make changes to this bug.